Package org.apache.catalina.ha.deploy

# Class UndeployMessage

java.lang.Object
org.apache.catalina.ha.deploy.UndeployMessage

All Implemented Interfaces:
  `Serializable`, `ClusterMessage`

public class UndeployMessage extends Object implements ClusterMessage

See Also:
  - Serialized Form

## Constructor Summary

Constructors
Constructor
Description
`UndeployMessage(Member address, long timestamp, String uniqueId, String contextName)`

## Method Summary

Modifier and Type
Method
Description
`Member`
`getAddress()`
`String`
`getContextName()`
`long`
`getTimestamp()`
`String`
`getUniqueId()`
`void`
`setAddress(Member address)`
Set the member associated with the message.
`void`
`setTimestamp(long timestamp)`
Set the timestamp for this message.

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

## Constructor Details

### UndeployMessage

public UndeployMessage(Member address, long timestamp, String uniqueId, String contextName)

## Method Details

### getAddress

public Member getAddress()

Specified by:
  `getAddress` in interface `ClusterMessage`
Returns:
  the member associated with the message

### setAddress

public void setAddress(Member address)
Description copied from interface: `ClusterMessage`
Set the member associated with the message.

Specified by:
  `setAddress` in interface `ClusterMessage`
Parameters:
  `address` - the member

### getTimestamp

public long getTimestamp()

Specified by:
  `getTimestamp` in interface `ClusterMessage`
Returns:
  the message timestamp

### setTimestamp

public void setTimestamp(long timestamp)
Description copied from interface: `ClusterMessage`
Set the timestamp for this message.

Specified by:
  `setTimestamp` in interface `ClusterMessage`
Parameters:
  `timestamp` - the timestamp

### getUniqueId

public String getUniqueId()

Specified by:
  `getUniqueId` in interface `ClusterMessage`
Returns:
  the unique id of the message

### getContextName

public String getContextName()